org.apache.cassandra.auth

## Enum IAuthenticator.Option

- java.lang.Object
- - java.lang.Enum<IAuthenticator.Option>
  - - org.apache.cassandra.auth.IAuthenticator.Option

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IAuthenticator.Option>

Enclosing interface:
  IAuthenticator

    public static enum IAuthenticator.Option
    extends java.lang.Enum<IAuthenticator.Option>

Supported CREATE USER/ALTER USER options. Currently only PASSWORD is available.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PASSWORD`

### Method Summary

Methods
`static IAuthenticator.Option` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IAuthenticator.Option[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PASSWORD

    public static final IAuthenticator.Option PASSWORD

### Method Detail

#### values

    public static IAuthenticator.Option[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IAuthenticator.Option c : IAuthenticator.Option.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IAuthenticator.Option valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null